com.mysql.jdbc

## Interface ConnectionPropertiesTransform

    public interface ConnectionPropertiesTransform

Implement this interface, and pass the class name as the 'propertiesTransform' property in your JDBC URL, and the driver will pass the properties it has parsed to your transform implementation so that you can modify/substitute/add any that you desire.

### Method Summary

Methods
`java.util.Properties` `transformProperties(java.util.Properties props)` The JDBC driver will call this method if the user has loaded your implementation of this interface by specifying the 'propertiesTransform' property in their JDBC URL.

### Method Detail

#### transformProperties

    java.util.Properties transformProperties(java.util.Properties props)
                                             throws java.sql.SQLException

The JDBC driver will call this method if the user has loaded your implementation of this interface by specifying the 'propertiesTransform' property in their JDBC URL.

Parameters:
  `props` - the properties as passed by the driver (never null)
Returns:
  the same properties with any transformations that your implementation has made
Throws:
  `java.sql.SQLException` - if a transform can not be made for any reason.